### Hierarchy

- StringUtil

## Index

### Methods

- between
- lowercaseFirst
- replaceAll
- uppercaseFirst

## Methods

### Static between

- between(value: string, prefix: string, suffix: string, ignoreCase?: boolean): string

- - Defined in util/string-util.ts:22

  #### Parameters

  - ##### value: string

  - ##### prefix: string

  - ##### suffix: string

  - ##### Default value ignoreCase: boolean = false

  #### Returns string

### Static lowercaseFirst

- lowercaseFirst(str: string): string

- - Defined in util/string-util.ts:4

  #### Parameters

  - ##### str: string

  #### Returns string

### Static replaceAll

- replaceAll(str: string, stringToReplace: string, replacement: string, ignoreCase?: boolean): string

- - Defined in util/string-util.ts:12

  #### Parameters

  - ##### str: string

  - ##### stringToReplace: string

  - ##### replacement: string

  - ##### Default value ignoreCase: boolean = false

  #### Returns string

### Static uppercaseFirst

- uppercaseFirst(str: string): string

- - Defined in util/string-util.ts:8

  #### Parameters

  - ##### str: string

  #### Returns string